reConServer(8)

NAME
reConServer - reConServer SIP conferencing server

SYNOPSIS
reConServer [OPTIONS...]

DESCRIPTION
reConServer is an open-source, free SIP conferencing server. SIP is changing the way people communicate using the Internet. It is not only about making phone calls over the Net. The SIP protocol and its extensions defines the way of establishing, modifying and ending interactive sessions, no matter if they are voice, video, IM or a combination of them. At the heart of SIP architecture, there are certain services which needs to be provided at some place of the network. reConServer provides SIP conferencing services. These services enable audio conferencing between multiple participants.

OPTIONS

-l, --log-type=cout|syslog|cerr
    Set where to send logging messages. The default cout sends the messages to standard output, cerr uses the standard error pipe. With syslog the messages are send to the system log using the logging facility local6. See syslogd(8) or syslog.conf(5) for more information.

-v, --log-level=STACK|DEBUG|INFO|WARNING|ALERT
    Set the minimum level a logging message needs to have in order to by written. The severity rises from left to right in the above order. The default is to log messages with level INFO or above.

-r, --record-route=sip:example.com
    Activate record routing. The argument is the URI used in the Record-Route header field.

--udp=5060
    Specify the port to use for the UDP transport. Set to 0 to turn UDP off. Defaults to port 5060.

--tcp=5060
    Specify the port to use for the TCP transport. Set to 0 to turn TCP off. Defaults to port 5060.

-t, --tls-domain=example.com
    Act as a TLS server for specified domain.

--tls=5061
    Set the port to use for the TLS transport. Set to 0 to turn TLS off. Defaults to port 5061.

--dtls=0
    Set the port to use for the DTLS transport. Set to 0 to turn DTLS off which is the default.

--enable-cert-server
    Run a cert server.

-c, --cert-path=STRING
    Set the path for certificates. Defaults to ~/.sipCerts.

--enable-v6
    Enable IPv6.

--disable-v4
    Disable IPv4.

--disable-auth
    Disable DIGEST challenges for certain SIP requests.

--disable-web-auth
    Disable authentication for the web administration server.

--disable-reg
    Disable the registrar.

-i, --interfaces=sip:10.1.1.1:5065;transport=tls
    Specify interfaces to add transports to. Each transport is given as a SIP-URI with the IP address and port of the local interface as the hostport part and the transport protocol as a transport parameter. Several transports are separated by a comma. For example, to set up two transports, one for TLS and one for UDP use sip:192.168.1.200:5060;transport=tls,sip:192.168.1.200:5060;transport=udp

-d, --domains=example.com,foo.com
    Specify the list of domains this proxy is authorative for separated by comma.

-R, --route=sip:p1.example.com,sip:p2.example.com
    Specify a route set where all requests this proxy is authorative for are sent to. Using this option overides the routes set through the web interface.

--reqChainName=STRING
    Name of request chain used for processing requests. Currently, the only chain available is default.

--http=5080
    Specify the port used by the HTTP server. Defaults to 5080.

--recursive-redirect
    Enable to handle of 3xx responses in the proxy.

--q-value
    Enable q-value processing. The q-value can be given in registrations and is used by the location server to order forwarding for multiple registrations. Without this option a request is forked to all registrations.

--q-value-behavior=FULL_SEQUENTIAL|EQUAL_Q_PARALLEL|FULL_PARALLEL
    Specify forking behavior if --q-value is given. With FULL_SEQUENTIAL one target is called after another in the order of their q values. Using EQUAL_Q_PARALLEL (the default), the request is sent in batches of all registrations with the same q value. The batches are again ordered by the q value. FULL_PARALLEL causes the request to be sent in parallel to all registrations.

--q-value-cancel-btw-fork-groups
    If given, groups of parallel forks are canceled after the period specified by the --q-value-ms-before-cancel option if no response was received.

--q-value-wait-for-terminate-btw-fork-groups
    If given, the proxy waits for groups of parallel forks to terminate before a new group is started. Otherwise, the next group is started once the waiting time has passed.

--q-value-ms-between-fork-groups=INT
    Specify the number of milliseconds to wait for a response from a group of parallel forks before starting another group.

--q-value-ms-before-cancel=INT
    Specify the number of milliseconds to wait before cancelling a group of parallel forks if the --q-value-cancel-btw-fork-groups option is given.

-e, --enum-suffix=e164.arpa
    Specify enum suffix to search.

-b, --allow-bad-reg
    Allow To tag in registrations.

--timer-C=180
    Specify the length of timer C in sec which specifies the time a proxy waits before generating a timeout response. Set to 0 or a negative value to turn timer C of completely.

--admin-password=STRING
    Set the web administrator password.

Help options:

-?, --help
    Show a help message.

--usage
    Display brief usage message.

--version
    Display the version information.

SEE ALSO
Repro web site at https://https://github.com/resiprocate/reConServer